Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.data
Interface ContentHandler

All Known Implementing Classes:
  CalendarBuilder

    public interface ContentHandler

Implementors provide functionality applicable during the parsing of an iCalendar data stream (e.g. building an object model).

Author:
  Ben Fortuna

Method Summary
`void` | `endCalendar()` Triggers the end of handling a calendar.
`void` | `endComponent(String name)` Triggers the end of handling a component.
`void` | `endProperty(String name)` Triggers the end of handling a property.
`void` | `parameter(String name, String value)` Triggers the handling of a parameter.
`void` | `propertyValue(String value)` Triggers the handling of a property value.
`void` | `startCalendar()` Triggers the start of handling a calendar.
`void` | `startComponent(String name)` Triggers the start of handling a component.
`void` | `startProperty(String name)` Triggers the start of handling a property.

Method Detail

### startCalendar

    void startCalendar()

  Triggers the start of handling a calendar.

### endCalendar

    void endCalendar()

  Triggers the end of handling a calendar.

### startComponent

    void startComponent(String name)

  Triggers the start of handling a component.

### endComponent

    void endComponent(String name)

  Triggers the end of handling a component.

### startProperty

    void startProperty(String name)

  Triggers the start of handling a property.

### propertyValue

    void propertyValue(String value)
                       throws URISyntaxException,
                              ParseException,
                              IOException

  Triggers the handling of a property value.

  Throws:
    `URISyntaxException`
    `ParseException`
    `IOException`

### endProperty

    void endProperty(String name)

  Triggers the end of handling a property.

### parameter

    void parameter(String name,
                   String value)
                   throws URISyntaxException

  Triggers the handling of a parameter.

  Throws:
    `URISyntaxException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.